List models

GET
/v1/models

Lists the currently available models with pricing and capability metadata.

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as Bearer token

In: header

Response Body

application/json

curl -X GET "https://example.com/v1/models"
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "object": "model",
      "created": 0,
      "owned_by": "string",
      "name": "string",
      "context_length": 0,
      "input_modalities": [
        "string"
      ],
      "output_modalities": [
        "string"
      ],
      "supported_sampling_parameters": [
        "string"
      ],
      "supported_features": [
        "string"
      ],
      "description": "string",
      "max_output_length": 0,
      "quantization": "string",
      "pricing": {
        "input": "string",
        "output": "string",
        "request": "string"
      }
    }
  ]
}